#ifndef PEERDBUSSERVER_H
#define PEERDBUSSERVER_H

#include <QObject>
#include <QString>
#include <QDBusServer>
#include <QDBusError>

class PeerDBusServer : public QObject
{
   Q_OBJECT
public:
   explicit PeerDBusServer(QObject *parent = 0);
public Q_SLOTS:
   QString address() {return  m_dbusServer.address();}
   bool connected() {return m_dbusServer.isConnected();}
   QString lastError() {return m_dbusServer.lastError().message();}
private:
   QDBusServer m_dbusServer;
};

#endif // PEERDBUSSERVER_H
